<!doctype html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">

		<title>Lab 5 - Creating schematic diagram</title>

		<link rel="stylesheet" href="dist/reset.css">
		<link rel="stylesheet" href="dist/reveal.css">
		<link rel="stylesheet" href="dist/theme/serif.css" id="theme">

		<!-- Theme used for syntax highlighted code -->
		<link rel="stylesheet" href="plugin/highlight/zenburn.css" id="highlight-theme">
	</head>
	<body>
		<div class="reveal">
			<div class="slides">
				<section>
					<span class="menu-title" style="display: none">Lab 5 - Creating schematic diagram</span>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Schematic diagram lab task</h2>
					</div>
					<div style="width: 1056px; height: 400px; font-size: xx-large; text-align: left">
						You'll be creating a schematic diagram with the following elements:<br />
						<ul>
							<li>the client and business applications</li>
							<li>a container platform with various middleware services</li>
							<li>the backend storage</li>
						</ul>
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Schematic diagram - expected results</h2>
					</div>
					<div style="width: 1056px; height: 50px; font-size: xx-large; text-align: left">
						The schematic diagram should look like this at end of this lab:
					</div>
					<div style="width: 1056px; height: 450px;">
						<img src="images/rhte-schematic.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Schematic diagram - access diagram tool</h2>
					</div>
					<div style="width: 1056px; height: 80px; text-align: left">
						We need a new template, so we start over again:
					</div>
					<div style="width: 1056px; height: 200px; text-align: left">
						<ul>
							<li>open a new browser window (or tab)</li>
							<li>open following link:</li>
						</ul>
					</div>
					<div style="width: 1056px; height: 200px; text-align: center">
						<h4 align="center"><a href="https://redhatdemocentral.gitlab.io/portfolio-architecture-tooling" target="_blank">
							https://redhatdemocentral.gitlab.io/portfolio-architecture-tooling</a></h4>
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Schematic diagram - start screen</h2>
					</div>
					<div style="width: 1056px; height: 70px; text-align: left">
						<h4>You're presented with the initial start-up screen:</h4>
					</div>
					<div style="width: 1056px; height: 400px;">
						<img src="images/rhte-lab1-0.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Schematic diagram - schematic template</h2>
					</div>
					<div style="width: 1056px; height: 150px; text-align: left">
						We need to start with the <code>SCHEMATIC DIAGRAM</code>:<br />
						<ol>
							<li style="font-size: xx-large">select option <code>Red Hat Template</code> from the left pane</li>
							<li style="font-size: xx-large">select option <code>Schematic Diagram</code> from rigt panel</li>
							<li style="font-size: xx-large">name diagram</li>
							<li style="font-size: xx-large">click <code>Create</code></li>
						</ol>
					</div>
					<div style="width: 1056px; height: 350px;">
						<img src="images/rhte-lab5-open-e.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Schematic diagram - starting canvas</h2>
					</div>
					<div style="width: 1056px; height: 150px; text-align: left">
						Let's start by setting up our Starting Canvas. Click on tab <code>Starting Canvas</code> to
						access the example template provided for a schematic diagrams:
					</div>
					<div style="width: 1056px; height: 300px;">
						<img src="images/rhte-lab5-tab-e.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Schematic diagram - rename canvas</h2>
					</div>
					<div style="width: 1056px; height: 70px; font-size: x-large; text-align: left">
						You're canvas should look like this image. To get started right click on the tab <code>Starting
						Canvas</code> and create a <code>Duplicate</code>. Double-click to rename the duplicate tab <code>
						Workshop example</code>.
					</div>
					<div style="width: 1056px; height: 450px;">
						<img src="images/rhte-lab5-schematic-template.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Schematic diagram - hide unused icons</h2>
					</div>
					<div style="width: 1056px; height: 70px; font-size: xx-large; text-align: left">
						In left pane, minimize the icon libraries <i>Detail Diagrams Assets</i> and <i>Logical Diagram
						Assets</i>, so we can focus on <i>Schematic Diagram Assets</i>:
					</div>
					<div style="width: 1056px; height: 450px;">
						<img src="images/rhte-lab5-minimizelib-e.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Schematic diagram - add service box</h2>
					</div>
					<div style="width: 1056px; height: 100px; text-align: left">
						First we'll select and drag <code>Service Box</code> from <i>Schematic Diagrams</i> to the canvas:
					</div>
					<div style="width: 1056px; height: 350px;">
						<img src="images/rhte-lab5-service1-e.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Schematic diagram - position service box</h2>
					</div>
					<div style="width: 1056px; height: 70px; text-align: left">
						Place <code>Service Box</code> on bottom left placeholder as shown:
					</div>
					<div style="width: 1056px; height: 450px;">
						<img src="images/rhte-lab5-service2.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Schematic diagram - remove placeholder</h2>
					</div>
					<div style="width: 1056px; height: 200px; font-size: xx-large; text-align: left">
						<ol>
							<li>Right click on Service Box</li>
							<li>Select <i>To Back</i></li>
							<li>Select <i>PLACEMENT GUIDE</i></li>
							<li>Use DELETE button to remove placement guide</li>
						</ol>
					</div>
					<div style="width: 1056px; height: 300px;">
						<img src="images/rhte-lab5-service4-e.png">
						<img src="images/rhte-lab5-service5-e.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Schematic diagram - Service box positioned</h2>
					</div>
					<div style="width: 1056px; height: 80px; text-align: left">
						<i>Service box</i> element is ready for designing:
					</div>
					<div style="width: 1056px; height: 300px; text-align: center">
						<img src="images/rhte-lab5-service9.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Schematic diagram - set service color</h2>
					</div>
					<div style="width: 1056px; height: 100px; font-size: xx-large; text-align: left">
						Select just the <i>Service Name and Logo</i> component to select it. Using right pane <i>Style</i>
						properties, select the color green as shown:
					</div>
					<div style="width: 1056px; height: 350px; text-align: center">
						<img src="images/rhte-lab5-service10.png">
						<img src="images/rhte-lab5-service11.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Schematic diagram - add application icon</h2>
					</div>
					<div style="width: 1056px; height: 150px; text-align: left">
						Select the <i>Application</i> icon and drag and drop it on Service name's <i>Service Icon</i>
						template area. Make sure your cursor is over the <i>REPLACE</i> pop-up that appears before
						you drop the icon.
					</div>
					<div style="width: 1056px; height: 350px;">
						<img src="images/rhte-lab5-service12-e.png">
						<img src="images/rhte-lab5-service13-e.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Schematic diagram - client service details</h2>
					</div>
					<div style="width: 1056px; height: 150px; text-align: left">
						Edit various service elements to the following:<br />
						<ul>
							<li>service name: <code>Client</code></li>
							<li>technology: <code>JavaScript App</code></li>
							<li>cardinality: <code>x1</code></li>
						</ul>
					</div>
					<div style="width: 1056px; height: 300px;">
						<img src="images/rhte-lab5-service15a.png">
						<img src="images/rhte-lab5-service15b.png">
						<img src="images/rhte-lab5-service15c.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Schematic diagram - another service box</h2>
					</div>
					<div style="width: 1056px; height: 100px; text-align: left">
						Next up, replace template placeholder in bottom left of <i>Platform</i> with a
						<i>Service</i> box from <i>Schematic Diagrams:</i>
					</div>
					<div style="width: 1056px; height: 300px; text-align: center">
						<img src="images/rhte-lab5-service18-e.png">
						<img src="images/rhte-lab5-service19-e.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Schematic diagram - set service color</h2>
					</div>
					<div style="width: 1056px; height: 70px; font-size: xx-large; text-align: left">
						Select the <i>Service Name and Logo</i> component [1] and use right pane <i>Style</i>
						properties [2] to set color to dark blue as shown:
					</div>
					<div style="width: 1056px; height: 400px; text-align: center">
						<img src="images/rhte-lab5-service20-e.png">
						<img src="images/rhte-lab5-service20a.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Schematic diagram - add API icon</h2>
					</div>
					<div style="width: 1056px; height: 150px; text-align: left">
						Select the <i>API</i> icon and drag and drop it on API Gateway's <i>Service Icon</i>
						template area. Make sure your cursor is over the <i>REPLACE</i> pop-up that appears:
					</div>
					<div style="width: 1056px; height: 300px;">
						<img src="images/rhte-lab5-service21-e.png">
						<img src="images/rhte-lab5-service23.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Schematic diagram - API gateway details</h2>
					</div>
					<div style="width: 1056px; height: 170px; text-align: left">
						Edit various service elements to the following:<br />
						<ul>
							<li>service name: <code>API gateway</code></li>
							<li>technology: <code>Red Hat 3scale API Management</code></li>
							<li>cardinality: <code>x3</code></li>
						</ul>
					</div>
					<div style="width: 1056px; height: 300px;">
						<img src="images/rhte-lab5-service24.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Schematic diagram - add service with storage</h2>
					</div>
					<div style="width: 1056px; height: 150px; text-align: left">
						Continue on by selecting and dragging <i>Service with Storage</i>
						from <i>Schematic Diagrams</i> to the canvas and place it in <i>Placeholder Guide</i>
						location above <code>API gateway</code>.
					</div>
					<div style="width: 1056px; height: 300px;">
						<img src="images/rhte-lab5-service25-e.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Schematic diagram - Service catalog details</h2>
					</div>
					<div style="width: 1056px; height:200px; text-align: left">
						Add service catalog icon from library, change background color, and edit service elements to
						complete this service:<br />
						<ul>
							<li style="font-size: xx-large">service name: <code>Service catalog</code></li>
							<li style="font-size: xx-large">technology: <code>JavaScript repository</code></li>
							<li style="font-size: xx-large">cardinality: <code>x3</code></li>
							<li style="font-size: xx-large">storage label: <code>S3</code></li>
						</ul>
					</div>
					<div style="width: 1056px; height: 300px;">
						<img src="images/rhte-lab5-service26-e.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Schematic diagram - add another service</h2>
					</div>
					<div style="width: 1056px; height: 150px; text-align: left">
						Continue on by selecting and dragging <i>Service</i> from <i>Schematic Diagrams</i> to
						the canvas and place it in below <code>API gateway</code> (outside platform section for now):
					</div>
					<div style="width: 1056px; height: 350px;">
						<img src="images/rhte-lab5-service27-e.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Schematic diagram - auth service details</h2>
					</div>
					<div style="width: 1056px; height:150px; text-align: left">
						Add identity icon from library, change background color, and edit service elements to
						complete this service:<br />
						<ul>
							<li style="font-size: xx-large">service name: <code>Authentication</code></li>
							<li style="font-size: xx-large">technology: <code>SSO, Idm</code></li>
							<li style="font-size: xx-large">cardinality: <code>x3</code></li>
						</ul>
					</div>
					<div style="width: 1056px; height: 350px;">
						<img src="images/rhte-lab5-service28-e.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Schematic diagram - network connections</h2>
					</div>
					<div style="width: 1056px; height: 150px; text-align: left">
						Network connections between various components of the schematic diagram are color coded to
						distinguish various types of Connections:<br />
						<br />
						<ul>
							<li>public vs private</li>
							<li>secure vs unsecure</li>
						</ul>
						<br />
						<br/>
						Next we'll set the default connection style in our diagram tooling.
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Schematic diagram - select network type</h2>
					</div>
					<div style="width: 1056px; height: 150px; font-size: xx-large; text-align: left">
						<ul>
							<li>From the <i>Schematic Diagrams</i> click on <i>Network 6</i> (the purple line)</li>
							<li>In right pane <i>Style tab</i> click on <i>Copy Style</i> and <code>Set as Default
								Style</code> in the right pane to set <i>Network 6</i> as the default network line</li>
						</ul>
					</div>
					<div style="width: 1056px; height: 300px;">
						<img src="images/rhte-lab5-network1-e.png">
						<img src="images/rhte-lab5-network1a-e.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Schematic diagram - remove connector</h2>
					</div>
					<div style="width: 1056px; height: 100px; text-align: left">
						Delete unneeded network line on the canvas used to set defaults by selecting and then hitting
						DELETE button:
					</div>
					<div style="width: 1056px; height: 400px">
						<img src="images/rhte-lab5-network18-e.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Schematic diagram - connecting services</h2>
					</div>
					<div style="width: 1056px; height: 120px; font-size: xx-large; text-align: left">
						Select the <i>Network Connector</i> indicated by circle on the <i>Service Catalog</i> service
						box to show the directional arrows. <i>Click</i> and <i>drag</i> the arrow and connect it to
						the <i>Network Connector</i> on the <i>Authentication</i> service box.
					</div>
					<div style="width: 1056px; height: 350px;">
						<img src="images/rhte-lab5-network2-e.png">
						<img src="images/rhte-lab5-network3-e.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Schematic diagram - positioning connections</h2>
					</div>
					<div style="width: 1056px; height: 170px; font-size: xx-large; text-align: left">
						Network connection line has several segments that can be adjusted separately. Select the
						<i>cirle</i> at the center of top segment and <i>drag</i> it to the right. Now select the
						<i>cirle</i> at the center of bottom segment and <i>drag</i> it to the right to align with
						the top segment.
					</div>
					<div style="width: 1056px; height: 350px;">
						<img src="images/rhte-lab5-network4a-e.png">
						<img src="images/rhte-lab5-network4-e.png">
						<img src="images/rhte-lab5-network5-e.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Schematic diagram - adjusting connections</h2>
					</div>
					<div style="width: 1056px; height: 200px; font-size: xx-large; text-align: left">
						Select the <i>Network Connector</i> on the <i>API Gateway</i> service box to show the
						directional arrows. <i>Click</i> and <i>drag</i> the arrow and connect it to the network
						connecting other two service boxes. Remove the ball from one end using <code>Style</code>
						pane on right with line selected.
					</div>
					<div style="width: 1056px; height: 350px;">
						<img src="images/rhte-lab5-network9-e.png">
						<img src="images/rhte-lab5-network10-e.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Schematic diagram - connection results</h2>
					</div>
					<div style="width: 1056px; height: 100px; text-align: left">
						Network connections between <i>Authentication</i>, <i>Service Catalog</i> and
						<i>API Gateway</i> service should look like:
					</div>
					<div style="width: 1056px; height: 350px;">
						<img src="images/rhte-lab5-network13.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Schematic diagram - add client connection</h2>
					</div>
					<div style="width: 1056px; height: 250px; font-size: xx-large; text-align: left">
						Select the <i>Network Connector</i> on the <i>Client</i> service box to show the directional
						arrows. <i>Click</i> and <i>drag</i> arrow and connect to the network connecting other
						three service boxes. Select the <i>circle</i> at the center of network line, and <i>drag</i> it
						so it makes a right angle connection with other network line.<br>
						Note: Align the network lines so they show as a single line
					</div>
					<div style="width: 1056px; height: 170px;">
						<img src="images/rhte-lab5-network14-e.png">
						<img src="images/rhte-lab5-network15-e.png">
						<img src="images/rhte-lab5-network16-e.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Schematic diagram - delete placeholder</h2>
					</div>
					<div style="width: 1056px; height: 100px; text-align: left">
						Select <i>Placeholder Guide</i> above <i>Client</i> service box and use the DELETE key to remove:
					</div>
					<div style="width: 1056px; height: 350px;">
						<img src="images/rhte-lab5-deleteguide-e.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Schematic diagram - setup data connections</h2>
					</div>
					<div style="width: 1056px; height: 100px; text-align: left">
						Data connections between various components of the schematic diagrams indicate data path:
					</div>
					<div style="width: 1056px; height: 170px; text-align: left">
						<ul>
							<li>Click on <code>Data</code> line from the <i>Schematic Diagrams</i></li>
							<li>Click on <i>Copy Style</i> and <i>Set as Default Style</i> in the right pane to set
								<code>Data</code> as the default line</li>
						</ul>
					</div>
					<div style="width: 1056px; height: 350px;">
						<img src="images/rhte-lab5-data1-e.png">
						<img src="images/rhte-lab5-network1a-e.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Schematic diagram - remove data connector</h2>
					</div>
					<div style="width: 1056px; height: 100px; text-align: left">
						Delete unused data line on the canvas by using DELETE key:
					</div>
					<div style="width: 1056px; height: 350px;">
						<img src="images/rhte-lab5-network19-e.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Schematic diagram - add client data connection</h2>
					</div>
					<div style="width: 1056px; height: 170px; font-size: xx-large; text-align: left">
						Hover on the <i>Data Connector</i> indicated by knob on the <i>Service Catalog</i> to show
						the directional arrows. <i>Click</i> and <i>drag</i> arrow and connect to the
						<i>Data Connector</i> on the <i>Client</i>. Note data lines (like networking) are
						adjusted using segments:
					</div>
					<div style="width: 1056px; height: 350px;">
						<img src="images/rhte-lab5-data3-e.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Schematic diagram - add auth data connection</h2>
					</div>
					<div style="width: 1056px; height: 150px; font-size: xx-large; text-align: left">
						Hover on the bottom <i>Data Connector</i> indicated by knob on the <i>Client</i> to show the
						directional arrows. <i>Click</i> and <i>drag</i> arrow and connect to the <i>Data Connector</i>
						on the left side of <i>Authentication</i> service box:
					</div>
					<div style="width: 1056px; height: 300px;">
						<img src="images/rhte-lab5-data7-e.png">
						<img src="images/rhte-lab5-data8-e.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Schematic diagram - add api data connection</h2>
					</div>
					<div style="width: 1056px; height: 170px; font-size: xx-large; text-align: left">
						Click on the bottom center <i>Data Connector</i> indicated by knob on the
						<i>Client</i> to show directional arrows. <i>Click</i> and <i>drag</i>
						the arrow and connect to the <i>Data Connector</i> on the left side of
						<i>API gateway</i>:
					</div>
					<div style="width: 1056px; height: 300px;">
						<img src="images/rhte-lab5-data10-e.png">
						<img src="images/rhte-lab5-data11-e.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Schematic diagram - add final services</h2>
					</div>
					<div style="width: 1056px; height: 200px; text-align: left">
						There are two services to be added yet; <i>Business Application</i> and <i>Data Service</i>.
						You have the knowledge to complete these two tasks without help, so add the services as shown:
					</div>
					<div style="width: 1056px; height: 300px;">
						<img src="images/rhte-lab5-bizapp-storage.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Schematic diagram - add final connectors</h2>
					</div>
					<div style="width: 1056px; height: 170px; text-align: left">
						Now add the network connections and data connections as shown for both the
						<i>Business application</i> and <i>Data service</i>. Pay attention to data flow arrows:
					</div>
					<div style="width: 1056px; height: 300px;">
						<img src="images/rhte-lab5-final-connections.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Schematic diagram - cleanup diagram</h2>
					</div>
					<div style="width: 1056px; height: 120px; font-size: xx-large; text-align: left">
						Remove the service box placeholders, rename the <i>Platform</i> to <i>OpenShift Container
						Platform</i>, adjust background grey box to fit components, and adjust diagram title as shown:
					</div>
					<div style="width: 1056px; height: 400px;">
						<img src="images/rhte-lab5-labels-added.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Schematic diagram - adding callouts</h2>
					</div>
					<div style="width: 1056px; height: 150px; font-size: xx-large; text-align: left">
						Callouts can be used to add details to network or data connections. Select the
						<i>Label Callout 6</i> from the <i>Schematic Diagrams panel</i> and drag to
						<i>data connection</i> between <i>Client</i> and <i>Authentication</i>:
					</div>
					<div style="width: 1056px; height: 300px;">
						<img src="images/rhte-lab5-label1-e.png">
						<img src="images/rhte-lab5-label2.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Schematic diagram - callout auth{orize|enticate}</h2>
					</div>
					<div style="width: 1056px; height: 100px; text-align: left">
						Select the <i>Message Broker</i> icon from the Icon Library and <i>drag</i>
						it to the <i>label callout</i>:
					</div>
					<div style="width: 1056px; height: 300px;">
						<img src="images/rhte-lab5-label3-e.png">
						<img src="images/rhte-lab5-label4-e.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Schematic diagram - callout javascript</h2>
					</div>
					<div style="width: 1056px; height: 100px; text-align: left">
						Now setup a callout between <i>Client</i> and <i>Service catalog</i> as shown:
					</div>
					<div style="width: 1056px; height: 300px;">
						<img src="images/rhte-lab5-javascript-callout.png">
						<img src="images/rhte-lab5-javascript-callout2.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Schematic diagram - callout api calls</h2>
					</div>
					<div style="width: 1056px; height: 100px; text-align: left">
						Now setup a callout between <i>Client</i> and <i>API gateway</i> as shown:
					</div>
					<div style="width: 1056px; height: 300px;">
						<img src="images/rhte-lab5-api-callout.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Schematic diagram - callout consumer device</h2>
					</div>
					<div style="width: 1056px; height: 150px; text-align: left">
						Finally, the last item is to add a <i>edge device</i> by adding the icon shown and
						adjusting the label. This completes the schematic diagram:
					</div>
					<div style="width: 1056px; height: 300px;">
						<img src="images/rhte-lab5-devices-1.png">
						<img src="images/rhte-lab5-devices-2.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 200px">
						<h2 class="r-fit-text">Saving your work</h2>
					</div>
					<div style="width: 1056px; height: 120px; font-size: xx-large; text-align: left">
						Another way to save your work is clicking the <i>Save</i> button on the top right.
						Note that once you've provided a file a name, it won't ask you again. The saved file
						will download to your machine:
					</div>
					<div style="width: 1056px; height: 300px;">
						<img src="images/rhte-lab3-save-button.png">
						<img src="images/rhte-lab3-save.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px;">
						<h2 class="r-fit-text">Lab completed - Results</h2>
					</div>
					<div style="width: 1056px; height: 450px;">
						<img src="images/rhte-lab5-schematic-diagram.png">
					</div>
				</section>

				<section data-background="images/questions.png">
					<span class="menu-title" style="display: none">References</span>
					<div style="width: 1056px; height: 200px;">
						<img height="150" width="100%" src="images/references.jpg">
					</div>
					<div style="width: 1056px; height: 400px; font-size: xx-large; text-align: left">
						<ul>
							<li><a href="https://redhatdemocentral.gitlab.io/portfolio-architecture-workshops/#/2" target="_blank">Portfolio Architecture Workshops</a></li>
							<li><a href="https://redhatdemocentral.gitlab.io/portfolio-architecture-tooling" target="_blank">Hosted diagram tool (open with browser)</a></li>
							<li><a href="https://gitlab.com/redhatdemocentral/portfolio-architecture-examples" target="_blank">Example diagrams repository</a></li>
							<li><a href="https://gitlab.com/redhatdemocentral/portfolio-architecture-workshops" target="_blank">Workshop project repository</a></li>
							<li><a href="http://bit.ly/portfolio-architecture-team" target="_blank">Portfolio Architecture Team Repository (Red Hat internal)</a></li>
						</ul>
					</div>
				</section>

				<section>
					<span class="menu-title" style="display: none">Questions or feedback?</span>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Contact - are there any questions?</h2>
					</div>
					<div style="width: 1056px; height: 200px; font-size: x-large; text-align: left">
						Ishu Verma<br/>
						Technical Marketing Manager Emerging Technologies<br/>
						Contact: <a href="https://twitter.com/IoT_Ishu" target="_blank">@IoT_Ishu</a>
						<br/><br/>
						Eric D. Schabell<br/>
						Portfolio Architect Director<br/>
						Contact: <a href="http://twitter.com/ericschabell" target="_blank">@ericschabell</a>
						or <a href="http://www.schabell.org" target="_blank">http://schabell.org</a>
						<br/><br/>
						William Henry<br/>
						Senior Distinguished Engineer<br>
						Contact: <a href="http://twitter.com/ipbabble" target="_blank">@ipbabble</a><br/>
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 250px;">
						<h2 class="r-fit-text">Up next in workshop...</h2>
					</div>
					<div style="width: 1056px; height: 200px;">
						<a href="lab06.html" target="_blank">Lab 6 - Creating detailed diagram</a>
					</div>
				</section>
			</div>
		</div>

		<script src="dist/reveal.js"></script>
		<script src="plugin/notes/notes.js"></script>
		<script src="plugin/markdown/markdown.js"></script>
		<script src="plugin/highlight/highlight.js"></script>
		<script src="plugin/reveal.js-menu/menu.js"></script>
		<script>
			// More info about initialization & config:
			// - https://revealjs.com/initialization/
			// - https://revealjs.com/config/
			Reveal.initialize({
				hash: true,

				// Learn about plugins: https://revealjs.com/plugins/
				plugins: [ RevealMarkdown, RevealHighlight, RevealNotes, RevealMenu ],

				// Configure menu options.
				menu: {

					// Specifies which side of the presentation the menu will
					// be shown. Use 'left' or 'right'.
    				side: 'left',

					// Specifies the width of the menu.
					// Can be one of the following:
					// 'normal', 'wide', 'third', 'half', 'full', or
					// any valid css length value
					width: '30%',

					// Add slide numbers to the titles in the slide list.
					// Use 'true' or format string (same as reveal.js slide numbers)
					numbers: false,

					// Specifies which slide elements will be used for generating
					// the slide titles in the menu. The default selects the first
					// heading element found in the slide, but you can specify any
					// valid css selector and the text from the first matching
					// element will be used.
					// Note: that a section data-menu-title attribute or an element
					// with a menu-title class will take precedence over this option
					titleSelector: 'h1, h2, h3, h4, h5, h6',

					// If slides do not have a matching title, attempt to use the
					// start of the text content as the title instead
					useTextContentForMissingTitles: false,

					// Hide slides from the menu that do not have a title.
					// Set to 'true' to only list slides with titles.
					hideMissingTitles: false,

					// Adds markers to the slide titles to indicate the
					// progress through the presentation. Set to 'false'
					// to hide the markers.
					markers: true,

					// Specify custom panels to be included in the menu, by
					// providing an array of objects with 'title', 'icon'
					// properties, and either a 'src' or 'content' property.
					//
					// My custom menu with lab chapters
					// custom: [
					// 	{
					// 		title: 'Lab 1 - Installation',
					// 		icon: '<i class="fa fa-external-link">',
					// 		src: 'lab01.html'
					// 	},
					// 	{
					// 		title: 'Lab 2 - Create new project',
					// 		icon: '<i class="fa fa-info">',
					// 		src: 'lab02.html'
					// 	}
					// ]
					custom: false,

					// Specifies the path to the default theme files. If your
					// presentation uses a different path to the standard reveal
					// layout then you need to provide this option, but only
					// when 'themes' is set to 'true'. If you provide your own
					// list of themes or 'themes' is set to 'false' the
					// 'themesPath' option is ignored.
					themesPath: 'dist/theme/',

					// Specifies if the transitions menu panel will be shown.
					// Set to 'true' to show the transitions menu panel with
					// the default transitions list. Alternatively, provide an
					// array to specify the transitions to make available in
					// the transitions panel, for example...
					// ['None', 'Fade', 'Slide']
					transitions: false,

					// Adds a menu button to the slides to open the menu panel.
					// Set to 'false' to hide the button.
					openButton: true,

					// If 'true' allows the slide number in the presentation to
					// open the menu panel. The reveal.js slideNumber option must
					// be displayed for this to take effect
					openSlideNumber: false,

					// If true allows the user to open and navigate the menu using
					// the keyboard. Standard keyboard interaction with reveal
					// will be disabled while the menu is open.
					keyboard: true,

					// Normally the menu will close on user actions such as
					// selecting a menu item, or clicking the presentation area.
					// If 'true', the sticky option will leave the menu open
					// until it is explicitly closed, that is, using the close
					// button or pressing the ESC or m key (when the keyboard
					// interaction option is enabled).
					sticky: true,

					// If 'true' standard menu items will be automatically opened
					// when navigating using the keyboard. Note: this only takes
					// effect when both the 'keyboard' and 'sticky' options are enabled.
					autoOpen: true,

					// If 'true' the menu will not be created until it is explicitly
					// requested by calling RevealMenu.init(). Note this will delay
					// the creation of all menu panels, including custom panels, and
					// the menu button.
					delayInit: false,

					// If 'true' the menu will be shown when the menu is initialised.
					openOnInit: false,

					// By default the menu will load it's own font-awesome library
					// icons. If your presentation needs to load a different
					// font-awesome library the 'loadIcons' option can be set to false
					// and the menu will not attempt to load the font-awesome library.
					loadIcons: true,

				}
			});
		</script>
	</body>
</html>
